> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.claw-ops.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.claw-ops.com/_mcp/server.

# 받아쓰기 사전 수정

PATCH https://api.claw-ops.com/v1/accounts/{accountId}/dictionaries/{dictionaryId}
Content-Type: application/json

사전 이름을 변경하거나 기본 사전으로 지정합니다.

`isDefault: true` 를 보내면 기존 기본 사전을 해제하고 이 사전을 기본으로 지정합니다(계정당 1개).
`isDefault: false` 로 기본을 직접 해제하는 것은 지원하지 않습니다 — 다른 사전을 기본으로 지정하면 자동 해제됩니다.

Reference: https://docs.claw-ops.com/api-레퍼런스/claw-ops-api/dictionaries/update-dictionary

## Authentication

- `Authorization` header (bearer token, required) — API Key를 Bearer 토큰으로 전달

## Request

### Path parameters

- `accountId` (string, required) — 계정 ID
- `dictionaryId` (string, required) — 사전 ID

### Body (application/json)

- `name` (string, optional) — 변경할 사전 이름. 미포함 시 이름 변경 없음.
- `isDefault` (boolean, optional) — true 이면 이 사전을 기본 사전으로 지정.

## Response

### 200

수정 성공

- `id` (string, optional) — 사전 id
- `name` (string, optional) — 사전 이름
- `isDefault` (boolean, optional) — 기본 사전 여부. 번호가 사전을 지정하지 않았을 때 적용. 계정당 최대 1개.
- `itemCount` (integer, optional) — 사전에 속한 용어 수
- `createdAt` (datetime, optional)
- `updatedAt` (datetime, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "id": "clx9dict0001",
  "name": "우리 회사 용어",
  "isDefault": true,
  "itemCount": 12,
  "createdAt": "2024-01-15T09:30:00Z",
  "updatedAt": "2024-01-15T09:30:00Z"
}
```

**SDK Code**

```python
import requests

url = "https://api.claw-ops.com/v1/accounts/AC1a2b3c4d/dictionaries/clx9dict0001"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.claw-ops.com/v1/accounts/AC1a2b3c4d/dictionaries/clx9dict0001';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.claw-ops.com/v1/accounts/AC1a2b3c4d/dictionaries/clx9dict0001"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.claw-ops.com/v1/accounts/AC1a2b3c4d/dictionaries/clx9dict0001")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.claw-ops.com/v1/accounts/AC1a2b3c4d/dictionaries/clx9dict0001")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.claw-ops.com/v1/accounts/AC1a2b3c4d/dictionaries/clx9dict0001', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.claw-ops.com/v1/accounts/AC1a2b3c4d/dictionaries/clx9dict0001");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.claw-ops.com/v1/accounts/AC1a2b3c4d/dictionaries/clx9dict0001")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```